Mac OS 스노우레오퍼드에서 Python 2.5사용하기

스노우레오퍼드에는 python 2.4, 2.5, 2.6이 모두 설치되어 있고 default로 2.6이 설정되어 있다.
하지만 GAE가 python 2.5를 지원한단다.

터미널 창에서 다음과 같이 입력하라.

defaults write com.apple.versioner.python Version 2.5

출처:  http://superuser.com/questions/35256/how-can-i-change-the-default-python-version-on-snow-leopard

Python 2.5 SSL package 설치하기

GAE과 python을 이용하여 개발하기 위해서는 python에 ssl package를 설치해야 한다.

python 2.6에는 포함되어 있으나, 2.5의 경우에는 별도로 ssl 1.15를 다운 받아 설치해야 한다.
ssl 1.15를 다운 받은 후 다음 두 명령을 실행한다.
  
 
1. 
tar xzf ssl-1.15.tar.gz
cd ssl-1.15/
python2.5 setup.py build
2.
sudo python2.5 setup.py install
 
 
위의 두 명령으로 잘되면 재수다….안되면 뭔가 더 해야 한단다. 잘되길 빈다.